Skip to main content
POST
Add an address to a contact

Authorizations

Authorization
string
header
required

An API key created in BeanRails, for example brk_live_....

Path Parameters

contactId
integer
required

The contact ID.

Body

application/json
name
string
required

A label for the address, such as "Head office".

Maximum string length: 255
is_primary
boolean
required

Required on the address endpoints. When creating a contact, the first address becomes primary.

attention
string
email
string<email>
company_name
string
mobile_no
string
office_no
string
address1
string
address2
string
city
string
state
string

A state name known to BeanRails.

postcode
string
country
string

Two letter country code, for example MY.

zone_id
integer

Response

The created address.

data
object